Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultAmppType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultAmppType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultAmppType extends Object implements Serializable

Java class for ConsultAmppType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultAmppType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Orphan" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="LeafletUrl" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="SpcUrl" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="RmaPatientUrl" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="RmaProfessionalUrl" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="ParallelCircuit" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ParallelDistributor" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="PackMultiplier" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="PackAmount" type="{urn:be:fgov:ehealth:dics:protocol:v5}PackAmountType" minOccurs="0"/>
             <element name="PackDisplayValue" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="AuthorisationNr" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="SingleUse" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="SpeciallyRegulated" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="AbbreviatedName" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="PrescriptionName" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="Note" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="PosologyNote" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="CrmUrl" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="ExFactoryPrice" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
             <element name="ReimbursementCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Atc" type="{urn:be:fgov:ehealth:dics:protocol:v5}AtcClassificationType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="DeliveryModus" type="{urn:be:fgov:ehealth:dics:protocol:v5}DeliveryModusType"/>
             <element name="DeliveryModusSpecification" type="{urn:be:fgov:ehealth:dics:protocol:v5}DeliveryModusSpecificationType" minOccurs="0"/>
             <element name="NoGenericPrescriptionReason" type="{urn:be:fgov:ehealth:dics:protocol:v5}NoGenericPrescriptionReasonType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="DistributorCompanyActorNr" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Status" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FMDProductCode" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="FMDInScope" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="AntiTemperingDevicePresent" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="DHPCUrl" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="DefinedDailyDose" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AmppComponent" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultAmppComponentType" maxOccurs="unbounded"/>
             <element name="Commercialization" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultCommercializationType" minOccurs="0"/>
             <element name="SupplyProblem" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultSupplyProblemType" minOccurs="0"/>
             <element name="DerogationImport" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultDerogationImportType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Dmpp" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultDmppType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="CtiExtended" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultAmppType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsultTextType`
  `getAbbreviatedName()`
  Abbreviated name of the medicinal product package.
  `List<AdditionalFieldsType>`
  `getAdditionalFields()`
  Future Proof.
  `List<ConsultAmppComponentType>`
  `getAmppComponents()`
  Gets the value of the amppComponents property.
  `List<AtcClassificationType>`
  `getAtcs()`
  Gets the value of the atcs property.
  `String`
  `getAuthorisationNr()`
  Authorisation number given by FAMPH or European Commission when authorised to be commercialised on the Belgian market.
  `ConsultCommercializationType`
  `getCommercialization()`
  Gets the value of the commercialization property.
  `ConsultTextType`
  `getCrmUrl()`
  Url to the online commented directory of medicines page for this AMPP.
  `String`
  `getCtiExtended()`
  Gets the value of the ctiExtended property.
  `QuantityType`
  `getDefinedDailyDose()`
  Defined daily doses (DDDs) are a WHO statistical measure of drug consumption.
  `DeliveryModusType`
  `getDeliveryModus()`
  Gets the value of the deliveryModus property.
  `DeliveryModusSpecificationType`
  `getDeliveryModusSpecification()`
  Gets the value of the deliveryModusSpecification property.
  `List<ConsultDerogationImportType>`
  `getDerogationImports()`
  Gets the value of the derogationImports property.
  `ConsultTextType`
  `getDHPCUrl()`
  Url to DHPC (Direct Healthcare Professional Communication) specified according to the language.
  `String`
  `getDistributorCompanyActorNr()`
  Identifier of the company responsible for distributing this package, if different from the company marketing the product.
  `List<ConsultDmppType>`
  `getDmpps()`
  Gets the value of the dmpps property.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `BigDecimal`
  `getExFactoryPrice()`
  Ex-factory price in Euro.
  `List<String>`
  `getFMDProductCodes()`
  Product code, composed of 14 digits, which is part of a two-dimensional barcode on the packaging of a medicinal product in accordance with the rules of the European Falsified Medicines Directive.
  `ConsultTextType`
  `getLeafletUrl()`
  Url to the leaflet for this AMPP, specified according to the language French, Dutch, German and English.
  `List<NoGenericPrescriptionReasonType>`
  `getNoGenericPrescriptionReasons()`
  Gets the value of the noGenericPrescriptionReasons property.
  `ConsultTextType`
  `getNote()`
  Any useful textual information related to the medicinal product package.
  `PackAmountType`
  `getPackAmount()`
  Total Amount of the Pack Size.
  `String`
  `getPackDisplayValue()`
  Calculated field based on information in the fields Pack Multiplier (AMPP), Pack Amount (AMPP), Content Multiplier (AMPPC), Content Amount (AMPPCES), Content Unit (AMPPCES), Pack Specification (AMPPC).
  `Integer`
  `getPackMultiplier()`
  Multiplier of total Amount of the Pack Size.
  `String`
  `getParallelCircuit()`
  Possible values: 0 – No parallel circuit 1 – Parallel import 2 – Parallel distribution
  `String`
  `getParallelDistributor()`
  Value can only be set when field Parallel Circuit = ‘2’.
  `ConsultTextType`
  `getPosologyNote()`
  Note about the posology for the AMPP.
  `ConsultTextType`
  `getPrescriptionName()`
  Structured and uniformly attributed name of the AMPP given by the BCPI as it is intended for consultation by the medicine prescriber.
  `String`
  `getReimbursementCode()`
  Possible status of the reimbursement: 0 – Original 1 – Copy 2 – Generic 3 – Reference 4 – Reference (combi) 5 – Reference (exception) 6 – Reference (exception combi) 7 - Biological 8 - Biosimilar 9 - Generic with added value Other values can be added later.
  `ConsultTextType`
  `getRmaPatientUrl()`
  Url to the RMA (Risk Minimization Activities) material (patients) for this AMPP, specified according to the language: French, Dutch and German.
  `ConsultTextType`
  `getRmaProfessionalUrl()`
  Url to the RMA material (health care professionals) for this AMPP, specified according to the language: French and Dutch.
  `ConsultTextType`
  `getSpcUrl()`
  Url to the Summary of Product Characteristics specified according to the language French, Dutch, German and English.
  `String`
  `getSpeciallyRegulated()`
  The AMPP is specially regulated.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `String`
  `getStatus()`
  The status can be one of the following: - ACTIVE: the medicinal product has an authorization number for marketing in Belgium and can be commercialized; - SUSPENDED: the medicinal product can’t temporarily be commercialized due to i.a.
  `ConsultSupplyProblemType`
  `getSupplyProblem()`
  Gets the value of the supplyProblem property.
  `Boolean`
  `isAntiTemperingDevicePresent()`
  Indicates whether a packaging of a medicinal product contains an anti-tampering device in accordance with the rules of the European Falsified Medicines Directive.
  `Boolean`
  `isFMDInScope()`
  Indicates whether a medicinal product falls within the scope of the European Falsified Medicines Directive, which determines the rules to prevent that falsified medicines enter the legal supply chain for medicinal products.
  `boolean`
  `isOrphan()`
  This AMPP is an orphan drug.
  `Boolean`
  `isSingleUse()`
  Is this medicinal product to be used a single time?
  `void`
  `setAbbreviatedName(ConsultTextType value)`
  Sets the value of the abbreviatedName property.
  `void`
  `setAntiTemperingDevicePresent(Boolean value)`
  Sets the value of the antiTemperingDevicePresent property.
  `void`
  `setAuthorisationNr(String value)`
  Sets the value of the authorisationNr property.
  `void`
  `setCommercialization(ConsultCommercializationType value)`
  Sets the value of the commercialization property.
  `void`
  `setCrmUrl(ConsultTextType value)`
  Sets the value of the crmUrl property.
  `void`
  `setCtiExtended(String value)`
  Sets the value of the ctiExtended property.
  `void`
  `setDefinedDailyDose(QuantityType value)`
  Sets the value of the definedDailyDose property.
  `void`
  `setDeliveryModus(DeliveryModusType value)`
  Sets the value of the deliveryModus property.
  `void`
  `setDeliveryModusSpecification(DeliveryModusSpecificationType value)`
  Sets the value of the deliveryModusSpecification property.
  `void`
  `setDHPCUrl(ConsultTextType value)`
  Sets the value of the dhpcUrl property.
  `void`
  `setDistributorCompanyActorNr(String value)`
  Sets the value of the distributorCompanyActorNr property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setExFactoryPrice(BigDecimal value)`
  Sets the value of the exFactoryPrice property.
  `void`
  `setFMDInScope(Boolean value)`
  Sets the value of the fmdInScope property.
  `void`
  `setLeafletUrl(ConsultTextType value)`
  Sets the value of the leafletUrl property.
  `void`
  `setNote(ConsultTextType value)`
  Sets the value of the note property.
  `void`
  `setOrphan(boolean value)`
  Sets the value of the orphan property.
  `void`
  `setPackAmount(PackAmountType value)`
  Sets the value of the packAmount property.
  `void`
  `setPackDisplayValue(String value)`
  Sets the value of the packDisplayValue property.
  `void`
  `setPackMultiplier(Integer value)`
  Sets the value of the packMultiplier property.
  `void`
  `setParallelCircuit(String value)`
  Sets the value of the parallelCircuit property.
  `void`
  `setParallelDistributor(String value)`
  Sets the value of the parallelDistributor property.
  `void`
  `setPosologyNote(ConsultTextType value)`
  Sets the value of the posologyNote property.
  `void`
  `setPrescriptionName(ConsultTextType value)`
  Sets the value of the prescriptionName property.
  `void`
  `setReimbursementCode(String value)`
  Sets the value of the reimbursementCode property.
  `void`
  `setRmaPatientUrl(ConsultTextType value)`
  Sets the value of the rmaPatientUrl property.
  `void`
  `setRmaProfessionalUrl(ConsultTextType value)`
  Sets the value of the rmaProfessionalUrl property.
  `void`
  `setSingleUse(Boolean value)`
  Sets the value of the singleUse property.
  `void`
  `setSpcUrl(ConsultTextType value)`
  Sets the value of the spcUrl property.
  `void`
  `setSpeciallyRegulated(String value)`
  Sets the value of the speciallyRegulated property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.
  `void`
  `setStatus(String value)`
  Sets the value of the status property.
  `void`
  `setSupplyProblem(ConsultSupplyProblemType value)`
  Sets the value of the supplyProblem property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultAmppType

    public ConsultAmppType()

- ## Method Details

  - ### isOrphan

    public boolean isOrphan()
    This AMPP is an orphan drug.

  - ### setOrphan

    public void setOrphan(boolean value)
    Sets the value of the orphan property.

  - ### getLeafletUrl

    public ConsultTextType getLeafletUrl()
    Url to the leaflet for this AMPP, specified according to the language French, Dutch, German and English. When it is specified, French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setLeafletUrl

    public void setLeafletUrl(ConsultTextType value)
    Sets the value of the leafletUrl property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getLeafletUrl()`

  - ### getSpcUrl

    public ConsultTextType getSpcUrl()
    Url to the Summary of Product Characteristics specified according to the language French, Dutch, German and English. When it is specified, French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setSpcUrl

    public void setSpcUrl(ConsultTextType value)
    Sets the value of the spcUrl property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getSpcUrl()`

  - ### getRmaPatientUrl

    public ConsultTextType getRmaPatientUrl()
    Url to the RMA (Risk Minimization Activities) material (patients) for this AMPP, specified according to the language: French, Dutch and German.
    Returns:
      possible object is `ConsultTextType`

  - ### setRmaPatientUrl

    public void setRmaPatientUrl(ConsultTextType value)
    Sets the value of the rmaPatientUrl property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getRmaPatientUrl()`

  - ### getRmaProfessionalUrl

    public ConsultTextType getRmaProfessionalUrl()
    Url to the RMA material (health care professionals) for this AMPP, specified according to the language: French and Dutch.
    Returns:
      possible object is `ConsultTextType`

  - ### setRmaProfessionalUrl

    public void setRmaProfessionalUrl(ConsultTextType value)
    Sets the value of the rmaProfessionalUrl property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getRmaProfessionalUrl()`

  - ### getParallelCircuit

    public String getParallelCircuit()
    Possible values: 0 – No parallel circuit 1 – Parallel import 2 – Parallel distribution
    Returns:
      possible object is `String`

  - ### setParallelCircuit

    public void setParallelCircuit(String value)
    Sets the value of the parallelCircuit property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getParallelCircuit()`

  - ### getParallelDistributor

    public String getParallelDistributor()
    Value can only be set when field Parallel Circuit = ‘2’. If that field is set to another value, this value is to be set to null. This field indicates the denomination of the company responsible for the parallel distribution of a medicinal product.
    Returns:
      possible object is `String`

  - ### setParallelDistributor

    public void setParallelDistributor(String value)
    Sets the value of the parallelDistributor property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getParallelDistributor()`

  - ### getPackMultiplier

    public Integer getPackMultiplier()
    Multiplier of total Amount of the Pack Size. Only filled in case of Packs with different components which need further specification on total pack level. Example: Three-phase medicinal product ‘3’ in 3 x 28 (12 + 10 + 6)
    Returns:
      possible object is `Integer`

  - ### setPackMultiplier

    public void setPackMultiplier(Integer value)
    Sets the value of the packMultiplier property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getPackMultiplier()`

  - ### getPackAmount

    public PackAmountType getPackAmount()
    Total Amount of the Pack Size. Only filled in case of Packs with different components which need further specification on total pack level. Example: Three-phase medicinal product ‘28’ in 3 x 28 (12 + 10 + 6)
    Returns:
      possible object is `PackAmountType`

  - ### setPackAmount

    public void setPackAmount(PackAmountType value)
    Sets the value of the packAmount property.
    Parameters:
      `value` - allowed object is `PackAmountType`
    See Also:
      - `getPackAmount()`

  - ### getPackDisplayValue

    public String getPackDisplayValue()
    Calculated field based on information in the fields Pack Multiplier (AMPP), Pack Amount (AMPP), Content Multiplier (AMPPC), Content Amount (AMPPCES), Content Unit (AMPPCES), Pack Specification (AMPPC). Examples: ‘2 x 10 doses (25 ml)’ ‘3 x 500 mg + 3 x 10 ml + 3 x Needle’ ‘3 x 50 ml Easyflex N’ ‘3 x 28 (12 + 10 + 6)’
    Returns:
      possible object is `String`

  - ### setPackDisplayValue

    public void setPackDisplayValue(String value)
    Sets the value of the packDisplayValue property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPackDisplayValue()`

  - ### getAuthorisationNr

    public String getAuthorisationNr()
    Authorisation number given by FAMPH or European Commission when authorised to be commercialised on the Belgian market.
    Returns:
      possible object is `String`

  - ### setAuthorisationNr

    public void setAuthorisationNr(String value)
    Sets the value of the authorisationNr property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAuthorisationNr()`

  - ### isSingleUse

    public Boolean isSingleUse()
    Is this medicinal product to be used a single time?
    Returns:
      possible object is `Boolean`

  - ### setSingleUse

    public void setSingleUse(Boolean value)
    Sets the value of the singleUse property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isSingleUse()`

  - ### getSpeciallyRegulated

    public String getSpeciallyRegulated()
    The AMPP is specially regulated. Possible values: 0 – No special regulation 1 – Yes, no narcotic 2 – Yes, narcotic Other values can be added later.
    Returns:
      possible object is `String`

  - ### setSpeciallyRegulated

    public void setSpeciallyRegulated(String value)
    Sets the value of the speciallyRegulated property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSpeciallyRegulated()`

  - ### getAbbreviatedName

    public ConsultTextType getAbbreviatedName()
    Abbreviated name of the medicinal product package. This field is translated in French, Dutch, German and English. French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setAbbreviatedName

    public void setAbbreviatedName(ConsultTextType value)
    Sets the value of the abbreviatedName property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getAbbreviatedName()`

  - ### getPrescriptionName

    public ConsultTextType getPrescriptionName()
    Structured and uniformly attributed name of the AMPP given by the BCPI as it is intended for consultation by the medicine prescriber. This field is translated in French, Dutch, German and English. French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setPrescriptionName

    public void setPrescriptionName(ConsultTextType value)
    Sets the value of the prescriptionName property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getPrescriptionName()`

  - ### getNote

    public ConsultTextType getNote()
    Any useful textual information related to the medicinal product package. This field is translated in French, Dutch, German and English. When it is specified, French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setNote

    public void setNote(ConsultTextType value)
    Sets the value of the note property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getNote()`

  - ### getPosologyNote

    public ConsultTextType getPosologyNote()
    Note about the posology for the AMPP. This field is translated in French, Dutch, German and English. When it is specified, French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setPosologyNote

    public void setPosologyNote(ConsultTextType value)
    Sets the value of the posologyNote property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getPosologyNote()`

  - ### getCrmUrl

    public ConsultTextType getCrmUrl()
    Url to the online commented directory of medicines page for this AMPP. This field is translated in French, Dutch, German and English. French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setCrmUrl

    public void setCrmUrl(ConsultTextType value)
    Sets the value of the crmUrl property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getCrmUrl()`

  - ### getExFactoryPrice

    public BigDecimal getExFactoryPrice()
    Ex-factory price in Euro. This information is available only for reimbursable medicinal product packages.
    Returns:
      possible object is `BigDecimal`

  - ### setExFactoryPrice

    public void setExFactoryPrice(BigDecimal value)
    Sets the value of the exFactoryPrice property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getExFactoryPrice()`

  - ### getReimbursementCode

    public String getReimbursementCode()
    Possible status of the reimbursement: 0 – Original 1 – Copy 2 – Generic 3 – Reference 4 – Reference (combi) 5 – Reference (exception) 6 – Reference (exception combi) 7 - Biological 8 - Biosimilar 9 - Generic with added value Other values can be added later.
    Returns:
      possible object is `String`

  - ### setReimbursementCode

    public void setReimbursementCode(String value)
    Sets the value of the reimbursementCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getReimbursementCode()`

  - ### getAtcs

    public List<AtcClassificationType> getAtcs()
    Gets the value of the atcs property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the atcs property.

    For example, to add a new item, do as follows:

         getAtcs().add(newItem);

    Objects of the following type(s) are allowed in the list `AtcClassificationType`

    Returns:
      The value of the atcs property.

  - ### getDeliveryModus

    public DeliveryModusType getDeliveryModus()
    Gets the value of the deliveryModus property.
    Returns:
      possible object is `DeliveryModusType`

  - ### setDeliveryModus

    public void setDeliveryModus(DeliveryModusType value)
    Sets the value of the deliveryModus property.
    Parameters:
      `value` - allowed object is `DeliveryModusType`

  - ### getDeliveryModusSpecification

    public DeliveryModusSpecificationType getDeliveryModusSpecification()
    Gets the value of the deliveryModusSpecification property.
    Returns:
      possible object is `DeliveryModusSpecificationType`

  - ### setDeliveryModusSpecification

    public void setDeliveryModusSpecification(DeliveryModusSpecificationType value)
    Sets the value of the deliveryModusSpecification property.
    Parameters:
      `value` - allowed object is `DeliveryModusSpecificationType`

  - ### getNoGenericPrescriptionReasons

    public List<NoGenericPrescriptionReasonType> getNoGenericPrescriptionReasons()
    Gets the value of the noGenericPrescriptionReasons property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the noGenericPrescriptionReasons property.

    For example, to add a new item, do as follows:

         getNoGenericPrescriptionReasons().add(newItem);

    Objects of the following type(s) are allowed in the list `NoGenericPrescriptionReasonType`

    Returns:
      The value of the noGenericPrescriptionReasons property.

  - ### getDistributorCompanyActorNr

    public String getDistributorCompanyActorNr()
    Identifier of the company responsible for distributing this package, if different from the company marketing the product.
    Returns:
      possible object is `String`

  - ### setDistributorCompanyActorNr

    public void setDistributorCompanyActorNr(String value)
    Sets the value of the distributorCompanyActorNr property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDistributorCompanyActorNr()`

  - ### getStatus

    public String getStatus()
    The status can be one of the following: - ACTIVE: the medicinal product has an authorization number for marketing in Belgium and can be commercialized; - SUSPENDED: the medicinal product can’t temporarily be commercialized due to i.a. health problem; - REVOKED: the medicinal product is finally removed from the Belgian market and can’t be commercialized anymore.
    Returns:
      possible object is `String`

  - ### setStatus

    public void setStatus(String value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getStatus()`

  - ### getFMDProductCodes

    public List<String> getFMDProductCodes()
    Product code, composed of 14 digits, which is part of a two-dimensional barcode on the packaging of a medicinal product in accordance with the rules of the European Falsified Medicines Directive. Multiple codes may refer to a single package. Replaces the GTIN field. Gets the value of the fmdProductCodes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fmdProductCodes property.

    For example, to add a new item, do as follows:

         getFMDProductCodes().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the fmdProductCodes property.

  - ### isFMDInScope

    public Boolean isFMDInScope()
    Indicates whether a medicinal product falls within the scope of the European Falsified Medicines Directive, which determines the rules to prevent that falsified medicines enter the legal supply chain for medicinal products.
    Returns:
      possible object is `Boolean`

  - ### setFMDInScope

    public void setFMDInScope(Boolean value)
    Sets the value of the fmdInScope property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isFMDInScope()`

  - ### isAntiTemperingDevicePresent

    public Boolean isAntiTemperingDevicePresent()
    Indicates whether a packaging of a medicinal product contains an anti-tampering device in accordance with the rules of the European Falsified Medicines Directive.
    Returns:
      possible object is `Boolean`

  - ### setAntiTemperingDevicePresent

    public void setAntiTemperingDevicePresent(Boolean value)
    Sets the value of the antiTemperingDevicePresent property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isAntiTemperingDevicePresent()`

  - ### getDHPCUrl

    public ConsultTextType getDHPCUrl()
    Url to DHPC (Direct Healthcare Professional Communication) specified according to the language.
    Returns:
      possible object is `ConsultTextType`

  - ### setDHPCUrl

    public void setDHPCUrl(ConsultTextType value)
    Sets the value of the dhpcUrl property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getDHPCUrl()`

  - ### getDefinedDailyDose

    public QuantityType getDefinedDailyDose()
    Defined daily doses (DDDs) are a WHO statistical measure of drug consumption. DDDs are used to standardize the comparative usage of various drugs between themselves or between different health care environments. The DDD is the assumed average maintenance dose per day for a drug used for its main indication in adults. (Maximum of 6 digits). DDD’s are defined at the WHO. For example, paracetamol has a DDD of 3g, which means that an average patient who takes paracetamol for pain relief (Paracetamol main indication) uses 3 gram per day. This is equivalent to six standard (500mg) tablets. If a patient consumes twenty four (500mg) tablets (i.e. 12g of paracetamol in total) in six days, he can have said to have consumed four DDDs of this drug.
    Returns:
      possible object is `QuantityType`

  - ### setDefinedDailyDose

    public void setDefinedDailyDose(QuantityType value)
    Sets the value of the definedDailyDose property.
    Parameters:
      `value` - allowed object is `QuantityType`
    See Also:
      - `getDefinedDailyDose()`

  - ### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()
    Future Proof. If additional data would be added to SAM, the field name and value are presented as a Key Value pair. Gets the value of the additionalFields property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

    For example, to add a new item, do as follows:

         getAdditionalFields().add(newItem);

    Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    Returns:
      The value of the additionalFields property.

  - ### getAmppComponents

    public List<ConsultAmppComponentType> getAmppComponents()
    Gets the value of the amppComponents property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the amppComponents property.

    For example, to add a new item, do as follows:

         getAmppComponents().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultAmppComponentType`

    Returns:
      The value of the amppComponents property.

  - ### getCommercialization

    public ConsultCommercializationType getCommercialization()
    Gets the value of the commercialization property.
    Returns:
      possible object is `ConsultCommercializationType`

  - ### setCommercialization

    public void setCommercialization(ConsultCommercializationType value)
    Sets the value of the commercialization property.
    Parameters:
      `value` - allowed object is `ConsultCommercializationType`

  - ### getSupplyProblem

    public ConsultSupplyProblemType getSupplyProblem()
    Gets the value of the supplyProblem property.
    Returns:
      possible object is `ConsultSupplyProblemType`

  - ### setSupplyProblem

    public void setSupplyProblem(ConsultSupplyProblemType value)
    Sets the value of the supplyProblem property.
    Parameters:
      `value` - allowed object is `ConsultSupplyProblemType`

  - ### getDerogationImports

    public List<ConsultDerogationImportType> getDerogationImports()
    Gets the value of the derogationImports property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the derogationImports property.

    For example, to add a new item, do as follows:

         getDerogationImports().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultDerogationImportType`

    Returns:
      The value of the derogationImports property.

  - ### getDmpps

    public List<ConsultDmppType> getDmpps()
    Gets the value of the dmpps property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dmpps property.

    For example, to add a new item, do as follows:

         getDmpps().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultDmppType`

    Returns:
      The value of the dmpps property.

  - ### getCtiExtended

    public String getCtiExtended()
    Gets the value of the ctiExtended property.
    Returns:
      possible object is `String`

  - ### setCtiExtended

    public void setCtiExtended(String value)
    Sets the value of the ctiExtended property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`